body {
    background-image: radial-gradient(circle at 1px 1px, #e0e0e0 1px, transparent 0);
    background-size: 10px 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
}

#todo {
    background-color: #fcf98e;
    border-radius: 10px;
    min-width: 300px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);
}

#header-title {
    padding: 10px;
    margin: 0;
    background-color: black;
    color: white;
}

#contents {
    padding: 10px;
}

#todo-filter {
    padding-bottom: 5px;
    border-bottom: 1px solid;
}

.checkbox {
    accent-color: grey;
}

.counter-element {
    padding: 5px 0 5px 0;
    border-bottom: 1px solid;
}

#todo-list {
    position: relative;
}

#todo-list::before {
    content: "";
    position: absolute;
    left: 30px;
    top: 0;
    bottom: 0;
    width: 2px;
    background: #fd8080;
    opacity: 0.6;
}

.text-area {
    padding-left: 10px;
    min-width: 200px;
    border: none;
    background: transparent;
}

.button {
    background: transparent;
    border: none;
}

.button:hover {
    transform: translateY(-2px);
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
    filter: brightness(1.05);
}

#todo-text {
    outline: none;
    min-width: 240px;
}

#todo-insert {
    padding-top: 5px;
}

.strike {
    text-decoration: line-through;
}